Join a secret key and public key together

- « sodium_crypto_sign_ed25519_sk_to_curve25519

- sodium_crypto_sign_keypair »

- PHP Manual
- Sodium Functions
- Join a secret key and public key together

# sodium_crypto_sign_keypair_from_secretkey_and_publickey

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_sign_keypair_from_secretkey_and_publickey — Join a secret key and public key together

### Description

sodium_crypto_sign_keypair_from_secretkey_and_publickey(string `$secret_key`, string `$public_key`): string

Join a secret key and public key together.

### Parameters

`secret_key`

  Ed25519 secret key

`public_key`

  Ed25519 public key

### Return Values

Keypair